Subject: [Bier] comments on draft-wang-bier-lite-ospf-extension-01

From: Antoni Przygienda <[email-masked]>
Date: Sat, 31 Oct 2015 11:57:00 +0000

Honestly, I'm rather lost what purpose the whole thing serves. If it has M bit set it simply can generate contradicting packets, what if the BSL supported advertised here do not have align with what the MPLS encapsulation sub-sub-TLV advertise.

If M is not set, the encoding basically upside-downs the encoding that is here today and worked on in the WG.  What we need is simply another encapsulation sub-sub-TLV per sub-domain  in existing encoding which if the intention is to use IP encaps suggested in other drafts can be empty or will probably carry the here shown BSL-identifier to indicate which BSLs are supported.

I admit that BIER-LITE is a catchy one though and (since I cannot resist the pun) I wait holding my breath and suspended on the edge of my sit for ORGANIC-BIER now ;-)

thanks

--- tony

"Your work is to discover your work and then with all your heart to give yourself to it." --- Buddha